scala.collection.convert

# Wrappers

#### object Wrappers extends Wrappers with Serializable

Annotations
  @SerialVersionUID()
Source
  Wrappers.scala

Linear Supertypes
Serializable, java.io.Serializable, Wrappers, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Wrappers
2. Serializable
3. Serializable
4. Wrappers
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class ConcurrentMapWrapper[A, B] extends MutableMapWrapper[A, B] with ConcurrentMap[A, B]

   Definition Classes
     Wrappers

2. #### case class DictionaryWrapper[A, B] extends Dictionary[A, B] with Product with Serializable

   Definition Classes
     Wrappers

3. #### case class IterableWrapper[A] extends AbstractCollection[A] with IterableWrapperTrait[A] with Product with Serializable

   Definition Classes
     Wrappers

4. #### trait IterableWrapperTrait[A] extends AbstractCollection[A]

   Definition Classes
     Wrappers

5. #### case class IteratorWrapper[A] extends java.util.Iterator[A] with java.util.Enumeration[A] with Product with Serializable

   Definition Classes
     Wrappers

6. #### case class JCollectionWrapper[A] extends AbstractIterable[A] with Iterable[A] with Product with Serializable

   Definition Classes
     Wrappers

7. #### case class JConcurrentMapWrapper[A, B] extends mutable.AbstractMap[A, B] with JMapWrapperLike[A, B, JConcurrentMapWrapper[A, B]] with concurrent.Map[A, B] with Product with Serializable

   Wraps a concurrent Java map as a Scala one.

   Wraps a concurrent Java map as a Scala one. Single-element concurrent access is supported; multi-element operations such as maps and filters are not guaranteed to be atomic.

   Definition Classes
     Wrappers

8. #### case class JDictionaryWrapper[A, B] extends mutable.AbstractMap[A, B] with mutable.Map[A, B] with Product with Serializable

   Definition Classes
     Wrappers

9. #### case class JEnumerationWrapper[A] extends AbstractIterator[A] with Iterator[A] with Product with Serializable

   Definition Classes
     Wrappers

10. #### case class JIterableWrapper[A] extends AbstractIterable[A] with Iterable[A] with Product with Serializable

    Definition Classes
      Wrappers

11. #### case class JIteratorWrapper[A] extends AbstractIterator[A] with Iterator[A] with Product with Serializable

    Definition Classes
      Wrappers

12. #### case class JListWrapper[A] extends AbstractBuffer[A] with Buffer[A] with Product with Serializable

    Definition Classes
      Wrappers

13. #### case class JMapWrapper[A, B] extends mutable.AbstractMap[A, B] with JMapWrapperLike[A, B, JMapWrapper[A, B]] with Product with Serializable

    Wraps a Java map as a Scala one.

    Wraps a Java map as a Scala one. If the map is to support concurrent access, use JConcurrentMapWrapper instead. If the wrapped map is synchronized (e.g. from `java.util.Collections.synchronizedMap`), it is your responsibility to wrap all non-atomic operations with `underlying.synchronized`. This includes `get`, as `java.util.Map`'s API does not allow for an atomic `get` when `null` values may be present.

    Definition Classes
      Wrappers

14. #### trait JMapWrapperLike[A, B, +Repr <: mutable.MapLike[A, B, Repr] with mutable.Map[A, B]] extends mutable.Map[A, B] with mutable.MapLike[A, B, Repr]

    Definition Classes
      Wrappers

15. #### case class JPropertiesWrapper extends mutable.AbstractMap[String, String] with mutable.Map[String, String] with mutable.MapLike[String, String, JPropertiesWrapper] with Product with Serializable

    Definition Classes
      Wrappers

16. #### case class JSetWrapper[A] extends mutable.AbstractSet[A] with mutable.Set[A] with mutable.SetLike[A, JSetWrapper[A]] with Product with Serializable

    Definition Classes
      Wrappers

17. #### class MapWrapper[A, B] extends java.util.AbstractMap[A, B]

    Definition Classes
      Wrappers

18. #### case class MutableBufferWrapper[A] extends AbstractList[A] with IterableWrapperTrait[A] with Product with Serializable

    Definition Classes
      Wrappers

19. #### case class MutableMapWrapper[A, B] extends MapWrapper[A, B] with Product with Serializable

    Definition Classes
      Wrappers

20. #### case class MutableSeqWrapper[A] extends AbstractList[A] with IterableWrapperTrait[A] with Product with Serializable

    Definition Classes
      Wrappers

21. #### case class MutableSetWrapper[A] extends SetWrapper[A] with Product with Serializable

    Definition Classes
      Wrappers

22. #### case class SeqWrapper[A] extends AbstractList[A] with IterableWrapperTrait[A] with Product with Serializable

    Definition Classes
      Wrappers

23. #### class SetWrapper[A] extends java.util.AbstractSet[A]

    Definition Classes
      Wrappers

24. #### class ToIteratorWrapper[A] extends AnyRef

    Definition Classes
      Wrappers

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

16. #### def toString(): String

    Definition Classes
      AnyRef → Any

17. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Wrappers

### Inherited from AnyRef

### Inherited from Any

### Ungrouped